const path = require('path')
const process = require('process')
const webpack = require('webpack')

const cwd = process.cwd()

let vendor = [
  'vue/dist/vue.esm.js',
  'vuex',
  'vue-router',
  'axios',
  'dayjs',
  'weixin-js-sdk'
]

module.exports = {
  mode: 'production',
  entry: {
    vendor
  },
  output: {
    path: path.join(cwd, './static'),
    filename: 'weixin-based-dll.js',
    library: 'DLL'
  },
  plugins: [
    new webpack.DllPlugin({
      path: path.join(cwd, 'manifest.json'),
      name: 'DLL',
      context: cwd
    })
  ]
}
