const packageJson = require('../package.json')
module.exports = (api, options, rootOptions) => {
  // 修改 `package.json` 里的字段
  api.extendPackage({
    scripts: {
      'doc': 'vue-cli-service doc'
    },
    dependencies: {
      'axios': '^0.18.0',
      'dayjs': '^1.8.6',
      'weixin-js-sdk': '1.3.2'
    },
    devDependencies: {
      'postcss-plugin-px2viewport': '^0.2.0'
    },
    postcss: {
      'plugins': {
        'autoprefixer': {},
        'postcss-plugin-px2viewport': {
          toRem: true,
          toViewport: false,
          handleDpx: true,
          exclude: [
            '/node_modules/mint-ui/',
            '/node_modules/vue-awesome-swiper/',
            '/node_modules/drip-ui/'
          ]
        }
      }
    }
  })
  console.log(options, rootOptions)
  api.render('./templates/default/', {
    options,
    rootOptions
  })
  api.onCreateComplete(() => {
    console.log(`${packageJson.name} v${packageJson.version}`)
  })
}
